Skip to main content
PATCH
/
v2
/
fleet
/
settings
cURL
curl --request PATCH \
  --url https://api.example.com/v2/fleet/settings/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "custom_fee": "<string>",
  "invoice_logo": "<string>",
  "street": "<string>",
  "zip_code": "<string>",
  "city": "<string>",
  "country": "<string>",
  "summary_email_frequency": "NONE",
  "driver_invoice_frequency": "NONE",
  "driver_invoice_amount_choice": "REAL_COST",
  "amount_override": "CASH_COST",
  "has_driver_invoice": true
}
'
{
  "custom_fee": "<string>",
  "invoice_logo": "<string>",
  "street": "<string>",
  "zip_code": "<string>",
  "city": "<string>",
  "country": "<string>",
  "summary_email_frequency": "NONE",
  "driver_invoice_frequency": "NONE",
  "driver_invoice_amount_choice": "REAL_COST",
  "amount_override": "CASH_COST",
  "has_driver_invoice": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

custom_fee
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
invoice_logo
string<uri> | null
Pattern: (?:png)$
street
string | null
Maximum string length: 200
zip_code
string | null
Maximum string length: 200
city
string | null
Maximum string length: 200
country
string | null
Maximum string length: 200
summary_email_frequency
  • NONE - None
  • DAILY - Daily
  • WEEKLY - Weekly
  • MONTHLY - Monthly
Available options:
NONE,
DAILY,
WEEKLY,
MONTHLY
driver_invoice_frequency
  • NONE - None
  • DAILY - Daily
  • WEEKLY - Weekly
  • MONTHLY - Monthly
Available options:
NONE,
DAILY,
WEEKLY,
MONTHLY
driver_invoice_amount_choice
  • REAL_COST - Real Cost
  • CASH_COST - Cash Cost
  • CUSTOM_FEE - Custom Fee
Available options:
REAL_COST,
CASH_COST,
CUSTOM_FEE
amount_override
  • CASH_COST - cash cost
Available options:
CASH_COST
has_driver_invoice
boolean | null

Response

200 - application/json
custom_fee
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
invoice_logo
string<uri> | null
Pattern: (?:png)$
street
string | null
Maximum string length: 200
zip_code
string | null
Maximum string length: 200
city
string | null
Maximum string length: 200
country
string | null
Maximum string length: 200
summary_email_frequency
  • NONE - None
  • DAILY - Daily
  • WEEKLY - Weekly
  • MONTHLY - Monthly
Available options:
NONE,
DAILY,
WEEKLY,
MONTHLY
driver_invoice_frequency
  • NONE - None
  • DAILY - Daily
  • WEEKLY - Weekly
  • MONTHLY - Monthly
Available options:
NONE,
DAILY,
WEEKLY,
MONTHLY
driver_invoice_amount_choice
  • REAL_COST - Real Cost
  • CASH_COST - Cash Cost
  • CUSTOM_FEE - Custom Fee
Available options:
REAL_COST,
CASH_COST,
CUSTOM_FEE
amount_override
  • CASH_COST - cash cost
Available options:
CASH_COST
has_driver_invoice
boolean | null